# Uses of Class
com.ocient.jdbc.XGConnection

Packages that use XGConnection
Package
Description
com.ocient.jdbc

## Uses of XGConnection in com.ocient.jdbc

Fields in com.ocient.jdbc declared as XGConnection
Modifier and Type
Field
Description
`protected XGConnection`
XGStatement.`conn`
Methods in com.ocient.jdbc that return XGConnection
Modifier and Type
Method
Description
`XGConnection`
XGConnection.`forkConnection(XGConnectionInfo.Hint hint, boolean hint_bypassLoadBalancerOnHandshakeOnly)`
Forks a new XGConnection based on the current connection, with optional hints for connection type.
`static XGConnection`
XGConnection.`TEST_createConnection(XGConnectionInfo info, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`
`static XGConnection`
XGConnection.`TEST_createConnection(String user, String pwd, String ip, int portNum, String url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`
Methods in com.ocient.jdbc that return types with arguments of type XGConnection
Modifier and Type
Method
Description
`CompletionStage<CompletableFutures.SQLResult<XGConnection>>`
XGConnectionFactory.`create(XGConnectionInfo info)`
Returns a `CompletionStage` of `CompletableFutures.SQLResult` which completes when the connection is successfully established, or completes exceptionally if the connection cannot be established.
`CompletionStage<CompletableFutures.SQLResult<XGConnection>>`
XGConnection.`forkConnectionAsync(XGConnectionInfo.Hint hint, boolean hint_bypassLoadBalancerOnHandshakeOnly)`
`static CompletionStage<CompletableFutures.SQLResult<XGConnection>>`
XGConnection.`leaseConnection(XGConnectionInfo info)`
Leases a connection to the database specified by `info`.
`org.apache.commons.pool2.PooledObject<XGConnection>`
XGConnection.XGConnectionFactory.`makeObject(XGConnectionInfo info)`
Methods in com.ocient.jdbc with parameters of type XGConnection
Modifier and Type
Method
Description
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSet(XGConnection conn, int fetchSize, XGStatement stmt, int parallelism, XGConnectionFactory channelFactory, RowTransformerFactory rowTransformerFactory, SortMode sortMode, Map<String,Integer> streamProperties)`
Initializes a new `XGResultSet` object and returns a CompletionStage that completes when the result set's metadata has been retrieved from the server and completes with an exceptional `CompletableFutures.SQLResult` on failure.
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSetMetadata(XGConnection conn, int fetchSize, XGStatement stmt, ClientWireProtocol.ResultSet data, XGResultSet.Option... options)`
Initializes a new `XGResultSet` object and returns a CompletionStage that completes when the result set's metadata has been retrieved from the server and completes with an exceptional `CompletableFutures.SQLResult` on failure.
`static XGPreparedStatement`
XGPreparedStatement.`newXGPreparedStatement(XGConnection conn, String sql, boolean force, boolean oneShotForce)`
Deprecated.
`static XGPreparedStatement`
XGPreparedStatement.`newXGPreparedStatement(XGConnection conn, String sql, int type, int concur, boolean force, boolean oneShotForce)`
Deprecated.
`static XGPreparedStatement`
XGPreparedStatement.`newXGPreparedStatement(XGConnection conn, String sql, int type, int concur, int hold, boolean force, boolean oneShotForce)`
Deprecated.
`static XGStatement`
XGStatement.`newXGStatement(XGConnection conn)`
Deprecated.
`static XGStatement`
XGStatement.`newXGStatement(XGConnection conn, boolean force, boolean oneShotForce)`
Deprecated.
`static XGStatement`
XGStatement.`newXGStatement(XGConnection conn, int type, int concur, boolean force, boolean oneShotForce)`
Deprecated.
`static XGStatement`
XGStatement.`newXGStatement(XGConnection conn, int type, int concur, int hold, boolean force, boolean oneShotForce)`
Deprecated.
Method parameters in com.ocient.jdbc with type arguments of type XGConnection
Modifier and Type
Method
Description
`void`
XGConnection.XGConnectionFactory.`activateObject(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)`
`void`
XGConnection.XGConnectionFactory.`destroyObject(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)`
`void`
XGConnection.XGConnectionFactory.`passivateObject(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)`
`boolean`
XGConnection.XGConnectionFactory.`validateObject(XGConnectionInfo info, org.apache.commons.pool2.PooledObject<XGConnection> pooledObject)`
Constructors in com.ocient.jdbc with parameters of type XGConnection
Modifier
Constructor
Description
``
`XGArray(int numElements, byte type, boolean quoteArrayVarchars, XGConnection conn, XGStatement stmt)`
``
`XGPreparedStatement(XGConnection conn, String sql)`
``
`XGPreparedStatement(XGConnection conn, String sql, int arg1, int arg2)`
``
`XGPreparedStatement(XGConnection conn, String sql, int arg1, int arg2, int arg3)`
``
`XGResultSet(XGConnection conn, XGResultSet.OcientResultSetMetadata md, List<List<Object>> rs, XGStatement stmt, RowTransformerFactory rowTransformerFactory, XGResultSet.Option... options)`
Constructs a new XGResultSet object with the given parameters.
``
`XGStatement(XGConnection conn)`
``
`XGStatement(XGConnection conn, int type, int concur)`
``
`XGStatement(XGConnection conn, int type, int concur, int hold)`
``
`XGStatement(XGConnection conn, XGConnectionFactory connFactory)`
Constructor parameters in com.ocient.jdbc with type arguments of type XGConnection
Modifier
Constructor
Description
``
`XGConnectionFactory(Function<XGConnectionInfo,XGConnection> superFactory)`